package com.ctpodp;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.RelativeLayout;
import android.widget.TextView;

public class PopupView extends RelativeLayout {
  private TextView popupTextView;

  public PopupView(Context context) {
    super(context);

    init();
  }

  public PopupView(Context context, AttributeSet attrs) {
    super(context, attrs);

    init();
  }

  public PopupView(Context context, AttributeSet attrs, int defStyleAttr) {
    super(context, attrs, defStyleAttr);

    init();
  }

  private void init() {
    inflate(getContext(), R.layout.popup_layout, this);

    popupTextView = (TextView) findViewById(R.id.tv_title);
  }

  public TextView getPopupTextView() {
    return popupTextView;
  }

  public void setPopupTextView(TextView popupTextView) {
    this.popupTextView = popupTextView;
  }
}
