"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MapViewManager = exports.CTPEventEmitter = void 0;
var _reactNative = require("react-native");
let componentName = 'UnknownComponent';
if (_reactNative.Platform.OS == 'android') {
  componentName = 'MapViewManager';
} else if (_reactNative.Platform.OS == 'ios') {
  componentName = 'jibestreamMap';
}
function getMapViewManager() {
  try {
    return (0, _reactNative.requireNativeComponent)(componentName);
  } catch (e) {
    return null;
  }
}
const MapViewManager = getMapViewManager();
exports.MapViewManager = MapViewManager;
const CTPEventEmitter = _reactNative.NativeModules.CTPEventEmitter;
exports.CTPEventEmitter = CTPEventEmitter;
//# sourceMappingURL=MapViewManager.js.map